.header {
    &__container{
        display: grid;
        grid-template-rows: auto 1fr auto;
        grid-gap: 48px;
        background-color: var(--cloud);
        width: 100%;
        height: 100%;
        border-radius: 48px;
        padding: 48px 36px;
        box-shadow: var(--shadow-large);
        box-sizing: border-box;
        z-index: 10;

        @media only screen and (max-width: 1200px) {
            border-radius: 0 0 10px 10px;
            padding: 32px 16px;
            grid-gap: 32px;
        }

        @media only screen and (max-width: 900px) {
            border-radius: 0 10px 10px 0;
            padding: 16px 24px;
            grid-gap: 32px;
            grid-template-rows: auto;
            grid-template-columns: 32px 1fr 32px;
            justify-items: center;
            align-items: center;
        }
    }

    &__logo{
        font-size: 34px;

        @media only screen and (max-width: 1200px) {
            display: none;
        }

        @media only screen and (max-width: 900px) {
            display: inline-block;
        }
    }

    &__logo-mobile {
        font-size: 21.2px;
        display: none;

        @media only screen and (max-width: 1200px) {
            display: inline-block;
        }

        @media only screen and (max-width: 900px) {
            display: none;
        }
    }

    &__content{
        display: grid;
        grid-auto-flow: row;
        align-content: flex-start;
        grid-gap: 24px;

        @media only screen and (max-width: 1200px) {
           justify-content: center;
        }

        @media only screen and (max-width: 900px) {
            position: fixed;
            top: 72px;
            left: 0;
            transform: translateX(-125%);
            box-shadow: var(--shadow-large);
            padding: 24px;
            background-color: var(--cloud);
            height: 100vh;
            transition: 250ms ease-in-out transform;
        }

        &--open{
            transform: translateX(0%);
        }
    }

    &__link{
        color: var(--smoke);
        text-decoration: none;
        display: grid;
        grid-template-columns: 30px auto;
        grid-gap: 16px;
        align-items: center;
        font-size: 16px;
        text-shadow: 0px 0px rgba(0,0,0,0);
        transition: padding .4s ease, color .25s ease;

        &:hover {
            padding-left: 8px;
            color: var(--raspberry);
        }

        &--active {
            color: var(--raspberry);

            &:hover {
                padding: 0;
            }
        }

        @media only screen and (max-width: 1200px) {
            grid-template-columns: 1fr;
            place-items: center;

            &:hover {
                padding-left: 0px;
            }
        }
    }

    &__text {
        color: inherit;

        @media only screen and (max-width: 1200px) {
            display: none;
        }
    }

    &__logout {
        border-top: 2px solid var(--smoke);
        padding: 36px 0;
        margin-top: auto;
        grid-template-columns: auto 30px;

        &:hover {
            color: var(--raspberry);
            padding: 36px 0;
        }

        @media only screen and (max-width: 1200px) {
            border: 0;
            grid-template-columns: 1fr;
            padding-bottom: 0;
        }
    }
}